## acl2 8.6+dfsg

=== Makefile ===
#
# UNIX makefile for building anldp
#
# New-style function declarations are used, so older C compilers might not work.
# On non-BSD systems (Solaris), the following line might have to be removed.

DFLAGS = -DTP_RUSAGE -DTP_HOST

#C compiler
CC = cc

# save symbols for dbx
# CFLAGS = -g -Wall $(DFLAGS)
# CFLAGS = -g $(DFLAGS)

# optimized
CFLAGS = -O $(DFLAGS)

# gprof profiling
# CFLAGS = -pg -O $(DFLAGS)

FILES =    clocks.c avail.c options.c stats.c misc.c dp.c generate.c

OBJECTS =  clocks.o avail.o options.o stats.o misc.o dp.o generate.o

anldp: main.o $(OBJECTS)
	$(CC) $(CFLAGS) -o anldp main.o $(OBJECTS)
	./Configure

clean:
	/bin/rm -f *.o

realclean:
	/bin/rm -f *.o anldp mace mace-loop examples/*/*.out *~ */*~

main.o $(OBJECTS): Header.h
main.o $(OBJECTS): Clocks.h
main.o $(OBJECTS): Avail.h
main.o $(OBJECTS): Options.h
main.o $(OBJECTS): Stats.h
main.o dp.o: Dp.h

=== books/build/jenkins/Makefile ===
# ACL2 Makefile Wrapper
#
# ACL2's makefile unfortunately always rebuilds ACL2, even if it's
# already up to date.  For our build server, this isn't a good idea.
# Run this from your top-level acl2 directory.
#
# General usage:
#
# make -f books/build/jenkins/Makefile <target> LISP=<command>
#
# Example usages:
#
# make -f books/build/jenkins/Makefile acl2 LISP=ccl
# make -f books/build/jenkins/Makefile acl2p LISP=ccl
# make -f books/build/jenkins/Makefile acl2r LISP=ccl
# make -f books/build/jenkins/Makefile acl2pr LISP=ccl
# make -f books/build/jenkins/Makefile saved_acl2 LISP=ccl
# make -f books/build/jenkins/Makefile saved_acl2p LISP=ccl
# make -f books/build/jenkins/Makefile saved_acl2r LISP=ccl
# make -f books/build/jenkins/Makefile saved_acl2pr LISP=ccl

ACL2_ALL_SOURCES  := $(wildcard *.lisp)
ACL2_FAKE_SOURCES := acl2-proclaims.lisp acl2r.lisp
ACL2_SOURCES      := $(filter-out $(ACL2_FAKE_SOURCES), $(ACL2_ALL_SOURCES))
ACL2_DEPS         := $(ACL2_SOURCES) GNUmakefile

.PHONY: acl2 acl2p acl2r acl2pr

# Note that we don't use &>, because otherwise the process goes on
# immediately, and waiting 100 seconds isn't enough for SBCL builds.

acl2:   saved_acl2
acl2p:  saved_acl2p
acl2r:  saved_acl2r
acl2pr: saved_acl2pr

saved_acl2: $(ACL2_DEPS)
	echo "Making ACL2 on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_PAR= ACL2_REAL= > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2
	ls -lah saved_acl2

saved_acl2p: $(ACL2_DEPS)
	echo "Making ACL2(p) on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_PAR=p ACL2_REAL= > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2p
	ls -lah saved_acl2p

saved_acl2r: $(ACL2_DEPS)
	echo "Making ACL2(r) on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_PAR= ACL2_REAL=r > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2r
	ls -lah saved_acl2r

saved_acl2pr: $(ACL2_DEPS)
	echo "Making ACL2(pr) on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_PAR=p ACL2_REAL=r > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2pr
	ls -lah saved_acl2pr

=== books/coi/pattern-hint/Makefile ===
ACL2_SYSTEM_BOOKS ?= ../..

all:
	${ACL2_SYSTEM_BOOKS}/build/cert.pl *.lisp

%.cert : %.lisp
	${ACL2_SYSTEM_BOOKS}/build/cert.pl $*.lisp

clean:
	${ACL2_SYSTEM_BOOKS}/build/clean.pl

=== books/projects/apply-model-2/Makefile ===
# Target "all" is the top target of Makefile-generic.  We avoid
# including Makefile-subdirs or Makefile-psubdirs because we want to
# be sure to control the order: first this directory, then
# subdirectories.

# At one time we had something like this:

# top: all
# 	$(MAKE) all-subdirs
# all-subdirs: ex1 ex2

# However, I (Matt K.) started seeing surprising (to me) dependency
# errors, perhaps due to some change in GNU Make around version 4.1.
# So now I take care to ensure that all books in the current directory
# are certified before certification is attempted in the
# subdirectories and, moreover, those subdirectories are done
# sequentially (to avoid the parallel recertification of
# e.g. apply-prim.lisp in the present directory on behalf of ex1/ and
# ex2/).

ACL2 ?= ../../../saved_acl2
ACL2_SYSTEM_BOOKS ?= ../..

.PHONY: top ex1 ex2 clean-subdirs clean-Makefile-tmp

top: Makefile-tmp
	@$(MAKE) -s -f Makefile-tmp all ACL2_BOOKS_MAKEFILE=Makefile-tmp
	@$(MAKE) -s ex1
	@$(MAKE) -s ex2

Makefile-tmp : Makefile Makefile-deps
	@echo "Making $(PWD)/Makefile-tmp"
	@cat Makefile Makefile-deps > Makefile-tmp

portcullis.cert : $(ACL2_SYSTEM_BOOKS)/build/universal-dependency.certdep

apply-prim.cert : $(ACL2_SYSTEM_BOOKS)/build/first-order-like-terms-and-out-arities.certdep

include $(ACL2_SYSTEM_BOOKS)/Makefile-generic

ex1:
	@cd ex1 ; $(MAKE) -s

ex2:
	@cd ex2 ; $(MAKE) -s

clean: clean-subdirs clean-Makefile-tmp

clean-Makefile-tmp:
	@rm -f Makefile-tmp

clean-subdirs:
	@cd ex1 ; $(MAKE) -s clean > /dev/null
	@cd ex2 ; $(MAKE) -s clean > /dev/null

=== books/projects/async/Makefile ===
# Copyright (C) 2017, Regents of the University of Texas
# Written by Cuong Chau <ckcuong@cs.utexas.edu>
# License: A 3-clause BSD license.  See the LICENSE file distributed with
# ACL2.

# Usage:

# make JOBS=4 \
#      ACL2=<Path of the ACL2 image>

# To remove certificate files, etc., execute the following:
#
# make clean ACL2=<Path of the ACL2 image>

#======================================================================
.PHONY: all clean
#======================================================================

ifndef ACL2
 $(error Variable ACL2 is undefined.)
endif

BUILD_DIR := $(dir $(ACL2))books/build
JOBS ?= 4

#======================================================================

all:
	$(BUILD_DIR)/cert.pl -j $(JOBS) -a $(ACL2) *.lisp arbitration/*.lisp fifo/*.lisp gcd/*.lisp serial-adder/*.lisp serial-adder/32-bit-serial-adder-old/*.lisp telescope/*.lisp

clean:
	$(BUILD_DIR)/clean.pl

=== books/projects/dpss/Makefile ===
all:
	cd Util; make
	cd Base; make
	cd AvD; make
	cd Collins; make
	cd DPSS-B; make

clean:
	cd Util; make clean
	cd Base; make clean
	cd AvD; make clean
	cd Collins; make clean
	cd DPSS-B; make clean

=== books/tools/book-conflicts/Makefile ===
##
## Copyright (C) 2014, David Greve
## License: A 3-clause BSD license.
## See the LICENSE file distributed with ACL2.
##

include ../../Makefile-generic
include MOREDEPS

books: conflicts.cert bookdata-types.cert

conflicts.cert: bookdata-types.cert

clean: cleanup

all: conflicts_img books

=== books/centaur/sv/failtest/Makefile ===
# SV - Symbolic Vector Hardware Analysis Framework
# Copyright (C) 2014-2015 Centaur Technology
#
# Contact:
#   Centaur Technology Formal Verification Group
#   7600-C N. Capital of Texas Highway, Suite 300, Austin, TX 78731, USA.
#   http://www.centtech.com/
#
# License: (An MIT/X11-style license)
#
#   Permission is hereby granted, free of charge, to any person obtaining a
#   copy of this software and associated documentation files (the "Software"),
#   to deal in the Software without restriction, including without limitation
#   the rights to use, copy, modify, merge, publish, distribute, sublicense,
#   and/or sell copies of the Software, and to permit persons to whom the
#   Software is furnished to do so, subject to the following conditions:
#
#   The above copyright notice and this permission notice shall be included in
#   all copies or substantial portions of the Software.
#
#   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
#   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
#   DEALINGS IN THE SOFTWARE.
#
# Original author: Jared Davis <jared@centtech.com>

.PHONY: all clean passing
all:


STARTJOB  ?= bash
COSIM_DIR := $(PWD)/../cosims
CORE      := $(COSIM_DIR)/cosim-core

SPEC_FILES := $(wildcard *.v)
TESTNAMES  := $(patsubst %.v, %, $(SPEC_FILES))
VOK_FILES  := $(patsubst %.v, %.vok,  $(SPEC_FILES))
SVOK_FILES := $(patsubst %.v, %.svok, $(SPEC_FILES))

FAILING_TEST_TARGETS := \
  bigwire1.svok \
  fn1.vok fn1.svok \
  gates2.svok \
  gates5.svok \
  enum2.svok \
  iface8.svok \
  iface2.svok \
  implicit4.svok \
  implicit6.svok \
  inc8.svok \
  inc9.svok \
  inc15.svok \
  inst9.svok \
  inst12.svok \
  param1.svok \
  param9.svok \
  param10.svok \
  param11.svok \
  elab6.vok elab6.svok \
  stmt1.svok  \
  gen8b.vok gen8b.svok \
  iface26.svok \
  clocking2.svok \
  clocking3.svok \
  clocking4.svok \
  clocking5.svok \
  clocking6.svok \
  clocking9.svok

$(CORE):
	cd $(COSIM_DIR); $(MAKE) cosim-core
	ls -lah $(COSIM_DIR)/cosim-core

%.vok: %.v $(CORE)
	@echo "Making $*.vok"
	@rm -f $*.vok
	@ACL2_CUSTOMIZATION=NONE TESTNAME=$* EDITION=VERILOG-2005 \
          $(STARTJOB) -c "$(CORE) < run.lsp &> $*.vok.log"
	@ls -l $*.vok

%.svok: %.v $(CORE)
	@echo "Making $*.svok"
	@rm -f $*.svok
	@ACL2_CUSTOMIZATION=NONE TESTNAME=$* EDITION=SYSTEM-VERILOG-2012 \
          $(STARTJOB) -c "$(CORE) < run.lsp &> $*.svok.log"
	@ls -l $*.svok

all: $(VOK_FILES) $(SVOK_FILES)

PASSING_VOK := $(filter-out $(FAILING_TEST_TARGETS), $(VOK_FILES))
PASSING_SVOK := $(filter-out $(FAILING_TEST_TARGETS), $(SVOK_FILES))
passing: $(PASSING_VOK) $(PASSING_SVOK)

.phony: failing
failing: $(FAILING_TEST_TARGETS)

clean:
	rm -f *.vok *.svok *.log
	rm -rf csrc INCA_libs simv.daidir
	rm -f simv ucli.key *.history


# [Jared] hack so you can just write "make ansi1" or similar, adapted
# from vl linttests

.PHONY: $(TESTNAMES)

define mkTestTarget
$(1): $(1).vok $(1).svok
endef

$(foreach test, $(TESTNAMES), $(eval $(call mkTestTarget, $(test))))

=== books/centaur/vl2014/linttest/Makefile ===
# VL 2014 -- VL Verilog Toolkit, 2014 Edition
# Copyright (C) 2008-2015 Centaur Technology
#
# Contact:
#   Centaur Technology Formal Verification Group
#   7600-C N. Capital of Texas Highway, Suite 300, Austin, TX 78731, USA.
#   http://www.centtech.com/
#
# License: (An MIT/X11-style license)
#
#   Permission is hereby granted, free of charge, to any person obtaining a
#   copy of this software and associated documentation files (the "Software"),
#   to deal in the Software without restriction, including without limitation
#   the rights to use, copy, modify, merge, publish, distribute, sublicense,
#   and/or sell copies of the Software, and to permit persons to whom the
#   Software is furnished to do so, subject to the following conditions:
#
#   The above copyright notice and this permission notice shall be included in
#   all copies or substantial portions of the Software.
#
#   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
#   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
#   DEALINGS IN THE SOFTWARE.
#
# Original author: Jared Davis <jared@centtech.com>

.PHONY: all clean

all:

STARTJOB ?= bash
VL       ?= $(PWD)/../bin/vl2014
RUBY     ?= ruby

SPEC_FILES := $(wildcard */spec.sv)
TEST_DIRS  := $(patsubst %/spec.sv, %, $(SPEC_FILES))
JSON_FILES := $(patsubst %/spec.sv, %/vl-warnings.json, $(SPEC_FILES))
OK_FILES   := $(patsubst %/spec.sv, %/vl-warnings.ok, $(SPEC_FILES))

%/vl-warnings.json: %/spec.sv $(VL)
	@echo "Making $*/vl-warnings.json"
	@rm -f $*/vl-warnings.json $*/vl-*.txt $*/vl-lint.log
	@cd $*; $(STARTJOB) -c '$(VL) lint spec.sv &> vl-lint.log'
	@ls -l $*/vl-warnings.json

%/vl-warnings.ok: %/vl-warnings.json %/check.rb utils.rb
	@echo "Making $*/vl-warnings.ok"
	@rm -f $*/vl-warnings.ok
	@cd $*; $(STARTJOB) -c "$(RUBY) check.rb &> check.log" || (echo "*** FAIL: $* ***"; cat check.log; false)
	@ls -l $*/vl-warnings.ok

all: $(OK_FILES) $(JSON_FILES)

# Stupid little aliases so you can just type, e.g., "make case" to do the
# testes in the case/ directory.

.PHONY: $(TEST_DIRS)

define mkDirTarget
$(1): $(1)/vl-warnings.ok
endef

$(foreach dir, $(TEST_DIRS), $(eval $(call mkDirTarget, $(dir))))

clean:
	rm -f */vl-*.txt
	rm -f */vl-lint.log
	rm -f */vl-warnings.json
	rm -f */vl-warnings.ok
	rm -f */check.log
	rm -f vl-*.txt vl-warnings.json
	rm -rf */INCA_libs */simv.daidir */simv */csrc */ncverilog.log

=== books/models/jvm/m6/Makefile ===
# assume the current directory is currentwork/src/

include Makefile-generic


DEP       = currentwork.src.dep
PYTHON    = python 
BASE      = /home/hbl/currentwork
SRC       = $(BASE)/src
ACL2      = $(BASE)/bin/acl2/acl2-sources/saved_acl2

SUBDIR    = M6 BCV DJVM common M6-DJVM-shared small hanoi


TOP_LEVEL_BOOKS = main/djvm-is-safe.lisp      \
                  main/bcv-is-effective.lisp  \
                  DJVM/INST/inst.lisp         \
                  M6/m6-start-jvm.lisp        \
	          BCV/typechecker.lisp        \
		  M6/m6.pkg.lisp              \
		  DJVM/djvm.pkg.lisp          \
		  M6-DJVM-shared/jvm.pkg.lisp \
		  BCV/bcv.pkg.lisp            \
                  BCV/bcv-succeed-implies-bcv-simple-succeed.lisp \
		  small/bcv-is-effective.lisp  \
		  small/djvm-is-safe.lisp      \
		  hanoi/hanoi-safety.lisp      \
		  M6/ADD1-program-correct.improved.lisp  \
		  M6/factorial-program-correct.improved.lisp  \

TOP_LEVEL_BOOKS_CERT   = $(patsubst %.lisp, %.cert, $(TOP_LEVEL_BOOKS))


include $(DEP)

# ifeq ($(wildcard $(DEP)), $(DEP))
#    include $(DEP)	
# endif

dependencies:
	$(PYTHON) $(BASE)/bin/acl2_collect_dep.py -o $(DEP) $(TOP_LEVEL_BOOKS)



all: $(TOP_LEVEL_BOOKS_CERT)
	touch  done.cert


# there is still problem of dependency on pkg. 
# 
# hand coded dependencies
#

DJVM.pkg: DJVM/djvm.pkg.cert JVM.pkg BCV.pkg
	touch DJVM.pkg

BCV.pkg:  BCV/bcv.pkg.cert
	touch BCV.pkg

M6.pkg:   M6/m6.pkg.cert JVM.pkg
	touch M6.pkg

JVM.pkg:  M6-DJVM-shared/jvm.pkg.cert
	touch JVM.pkg

HANOI.pkg:  
	touch HANOI.pkg

clean: 
	cd common; make clean
	cd M6-DJVM-shared; make clean
	cd DJVM; make clean
	cd M6; make clean
	cd BCV; make clean
	cd DJVM/INST; make clean


##############################################

htmls:	
	$(PYTHON) $(BASE)/bin/lexer.py $(SRC)/$(DEP) | sort -u | grep ".lisp" > _tmp_file_list_
	rsync --quiet --delete --dirs --relative --files-from=_tmp_file_list_  $(SRC) $(SRC)/dist2 
	$(PYTHON) $(BASE)/bin/htmlize.py  $(SRC)/dist2 > /dev/null
	cd $(SRC)/dist2; find * -name *.html -print > $(SRC)/_html_to_distribute_

stirling:	clean-src-dist	
	rsync -ulvr  --exclude="*.o" --exclude="*.out" --exclude "*.cert" --exclude "*.lisp~" --exclude "*.c"  $(BASE)/src/dist/* hbl@stirling:~/currentwork/src/

clean-src-dist:
	$(PYTHON) $(BASE)/bin/lexer.py $(SRC)/$(DEP) | sort -u | grep  -v ".cert" > _source_to_distribute_
	echo "Makefile" >> _source_to_distribute_
	echo "Makefile-generic" >> _source_to_distribute_
	echo "Makefile-subdir" >> _source_to_distribute_
	echo "M6-DJVM-shared/jvm.pkg" >> _source_to_distribute_
	echo "M6/m6.pkg" >> _source_to_distribute_
	echo "DJVM/djvm.pkg" >> _source_to_distribute_
	echo "BCV/bcv.pkg" >> _source_to_distribute_
	echo "M6/Makefile" >> _source_to_distribute_
	echo "DJVM/Makefile" >> _source_to_distribute_
	echo "BCV/Makefile" >> _source_to_distribute_
	echo "common/Makefile" >> _source_to_distribute_
	echo "hanoi/hanoi.pkg" >> _source_to_distribute_
	echo "$(DEP)" >> _source_to_distribute_
	rsync --quiet --delete --dirs --relative --files-from=_source_to_distribute_  $(SRC) $(SRC)/dist 
	rsync --dirs --relative --files-from=_html_to_distribute_  $(SRC)/dist2 $(SRC)/dist

dot: 
	python $(BASE)/bin/dep2dot.py $(DEP) > $(DEP).dot
	dot -Tps -o $(DEP).ps $(DEP).dot

=== books/projects/apply-model-2/ex1/Makefile ===
SHELL ?= $(shell which bash)

ACL2 ?= ../../../../saved_acl2

ACL2_SYSTEM_BOOKS ?= ../../..

include $(ACL2_SYSTEM_BOOKS)/Makefile-generic

clean: clean-more

.PHONY: clean-more
clean-more:
	@rm -f evaluation-apply.lisp evaluation-user-defs.lisp Makefile-deps

REBUILD_MAKEFILE_DEPS := $(shell \
  rm -f Makefile-deps Makefile-deps.out && \
  (diff ../apply.lisp evaluation-apply.lisp 2>&1 > /dev/null || \
   cp -pf ../apply.lisp evaluation-apply.lisp) && \
  (diff user-defs.lisp evaluation-user-defs.lisp 2>&1 > /dev/null || \
   cp -pf user-defs.lisp evaluation-user-defs.lisp) && \
  $(ACL2_SYSTEM_BOOKS)/build/cert.pl --quiet --include-excludes -s Makefile-deps *.lisp)

include Makefile-deps

=== books/projects/async/arbitration/Makefile ===
# Copyright (C) 2018, Regents of the University of Texas
# Written by Cuong Chau <ckcuong@cs.utexas.edu>
# License: A 3-clause BSD license.  See the LICENSE file distributed with
# ACL2.

# Usage:

# make JOBS=4 \
#      ACL2=<Path of the ACL2 image>

# To remove certificate files, etc., execute the following:
#
# make clean ACL2=<Path of the ACL2 image>

#======================================================================
.PHONY: all clean
#======================================================================

ifndef ACL2
 $(error Variable ACL2 is undefined.)
endif

BUILD_DIR := $(dir $(ACL2))books/build
JOBS ?= 4

#======================================================================

all:
	$(BUILD_DIR)/cert.pl -j $(JOBS) -a $(ACL2) *.lisp

clean:
	$(BUILD_DIR)/clean.pl

=== debian/changelog ===
acl2 (8.6+dfsg-3) unstable; urgency=medium

  * build-dep latest gcl
  * lintian cleanups
  * Bug fix: "Includes non-free RFC again", thanks to Bastian Germann
    (Closes: #1083157).
  * Bug fix: "add support for loongarch64", thanks to zhangdandan (Closes:
    #1061384).
  * Bug fix: "ftbfs with GCC-15", thanks to Matthias Klose (Closes:
    #1096276).
  * Bug fix: "not handling nostrip build option (policy 10.1) sid/i386",
    thanks to Julien Danjou (Closes: #436372).  nostrip obsolete in favor
    of dh_strip/dbgsym, no longer mentioned in policy.

 -- Camm Maguire <camm@debian.org>  Wed, 14 May 2025 08:36:42 -0400

acl2 (8.6+dfsg-2) unstable; urgency=high

  * set HOME in infix-stamp

 -- Camm Maguire <camm@debian.org>  Sun, 27 Apr 2025 08:32:18 -0400

acl2 (8.6+dfsg-1) unstable; urgency=high

  * New upstream release
  * build depend gcl27

 -- Camm Maguire <camm@debian.org>  Fri, 25 Apr 2025 09:15:16 -0400

acl2 (8.5dfsg-7) unstable; urgency=medium

  * Bug fix: "Includes non-free RFC again", thanks to Bastian Germann
    (Closes: #1083157).
  * Bug fix: "add support for loongarch64", thanks to zhangdandan (Closes:
    #1061384).
  * lintian override context fixes
  * acl2-infix depends on c-shell
  * remove rfc2388.txt even though unnecessary as I cannot get a reply
    from ftpmaster, and they have an automatic reject on this lintian note
    even though overriden

 -- Camm Maguire <camm@debian.org>  Fri, 25 Oct 2024 10:35:08 -0400

=== debian/control ===
Source: acl2
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: debhelper-compat ( = 13 ), gcl27 ( >= 2.7.1-4 ), debhelper ( >= 13), texlive-latex-recommended, time, texinfo, tex-common
Build-Depends-Indep: dh-elpa
Homepage: https://www.cs.utexas.edu/users/moore/acl2/
Rules-Requires-Root: no
Standards-Version: 4.7.2

Package: acl2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: acl2-source, acl2-books
Suggests: elpa-acl2
Description: Computational Logic for Applicative Common Lisp: main binary
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the base ACL2 binary.

Package: acl2-source
Architecture: all
Breaks: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Depends: ${misc:Depends}
Description: Computational Logic for Applicative Common Lisp: source files
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the lisp source files to the main ACL2 binary.

Package: elpa-acl2
Architecture: all
Depends: acl2 (>= ${source:Version}), emacs-gtk | emacsen, ${misc:Depends}
Breaks: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Section: lisp
Description: Computational Logic for Applicative Common Lisp: emacs interface
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains an emacs interface to ACL2.

Package: acl2-infix
Architecture: any
Recommends: acl2-infix-source (= ${source:Version})
Depends: acl2 (= ${binary:Version}), texlive-latex-recommended, ${misc:Depends}, csh | c-shell
Breaks: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: infix interface
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains utilities and libraries to access ACL2 via an
 infix notation similar to that used in many non-lisp programming
 languages.

Package: acl2-infix-source
Architecture: all
Depends: ${misc:Depends}
Breaks: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: infix source
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the source files to the infix interface to
 ACL2.

Package: acl2-books
Architecture: any
Depends: acl2 (= ${binary:Version}), acl2-books-certs (= ${source:Version}), acl2-books-source (= ${source:Version}), ${misc:Depends}
Breaks: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: compiled libraries
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains numerous precompiled and precertified libraries
 for use in proving theorems with ACL2.  Serious users will no doubt
 want to install this package.

Package: acl2-books-source
Architecture: all
Depends: acl2 (>= ${source:Version}), ${misc:Depends}
Breaks: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: library sources
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains source lisp files to the compiled libraries
 supplied in the ACL2-books package.

Package: acl2-books-certs
Architecture: all
Depends: acl2 (>= ${source:Version}), ${misc:Depends}
Breaks: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: library certificates
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This file contains certification records for the various precompiled
 libraries supplied in the ACL2-books package.  ACL2 essentially
 requires that all included books be certified before use.

Package: acl2-doc
Depends: ${misc:Depends}, dpkg (>= 1.15.4)
Architecture: all
Section: doc
Description: Computational Logic for Applicative Common Lisp: documentation
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the documentation for ACL2.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

PN:=acl2
VR:=$(shell awk '{if (i) next;i=1;a=$$2;gsub("[()]","",a);split(a,A,"-");print A[1];}' debian/changelog)
PD:=$(PN)-$(VR)


NO_STRIP:=
# ifeq ($(DEB_BUILD_ARCH),powerpc)
# NO_STRIP:=--exclude=saved_acl2
# endif

# ACL2_HEAP_WORDS_NEEDED_FOR_CERTIFICATION:=500000000
# MAXJOBS:=$(shell gcl -batch -eval \
#    "(print \
#       (multiple-value-bind (a b c d) (si::heap-report) \
# 	(min 8 \
# 	     (ceiling (/ (- d c) (/ a 8)) \
#                       ${ACL2_HEAP_WORDS_NEEDED_FOR_CERTIFICATION}))))")

NUMJOBS:=1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS:=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
# NUMJOBS:=$(shell if test $(NUMJOBS) -gt ${MAXJOBS}; then echo ${MAXJOBS} ; else echo $(NUMJOBS); fi)

#books/workshops:
#	mkdir $@

#init.lsp.ori:
#	[ -e $@ ] || mv init.lsp $@

DLOPEN_T:=debian/dlopen.lisp #init.lsp.ori

#ifeq ($(DEB_BUILD_ARCH),ia64)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),alpha)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),mips)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),mipsel)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),hppa)
#DLOPEN?=$(DLOPEN_T)
#endif

debian/elpa-acl2.elpa: debian/acl2-pkg.el
	find books/interface/emacs -name "*.el" >$@
	find emacs -name "*.el" >>$@
	find books/xdoc -name "*.el" >>$@
	find books/system/doc -name "*.el" >>$@
	find books/emacs -name "*.el" >>$@
	echo debian/acl2.el >> debian/elpa-acl2.elpa
	echo debian/acl2-pkg.el >> debian/elpa-acl2.elpa
	echo debian/debian-autoloads.el >> debian/elpa-acl2.elpa


debian/acl2-pkg.el: debian/acl2-pkg.el.in
	cat $< | sed "s,@VR@,$$(echo $(VR) | sed 's,[a-zA-Z]*,,g'),g" > $@

debian/dlopen.lisp: debian/dlopen.lisp.in
	cat $< | sed "s,@VR@,$(VR),g" > $@

saved_acl2: 

	ACL2_SNAPSHOT_INFO="commit 1c7e6f3564 (tag: post-8.6-for-debian-gcl)" \
	ACL2_SMALL_FIXNUMS=$$(gcl27 -batch -eval '(princ (if (< (si::heap-report) 64) "T" ""))') \
	$(MAKE) GCL_MEM_BOUND=29 GCL_ANSI=t LISP=gcl27 & j=$$! ; tail --retry -f make.log & k=$$! ; wait $$j ; kill $$k
	mv *$@.gcl $@

saved_acl2.c: saved_acl2
	echo "(f-put-global 'old-certification-dir \"$$(pwd)/books\" state)" \
              "(f-put-global 'new-certification-dir \"/usr/share/$(PD)/books\" state)" \
	      ":q #-native-reloc (setq si::*multiply-stacks* 4) :q (in-package :acl2) " \
	      "#+(or sparc sparc64)(progn (si::sgc-on nil) (fmakunbound 'si::sgc-on))" \
              "(save-exec \"$@\" \"Modified to produce final certification files\")" | HOME=$$(pwd) ./$<
	mv $@.gcl $@

debian/mini-proveall.out: saved_acl2
	HOME=$$(pwd) $(MAKE) mini-proveall
	mv $(@F) $@

books/short-test.log: saved_acl2.c
	cp saved_acl2 saved_acl2.ori
	HOME=$$(pwd) $(MAKE) certify-books-short
	cp saved_acl2.ori saved_acl2

#	tail -f --pid=$$j --retry $@ $$(find books -name "*.lisp" | sed 's,\.lisp$$,.out,1') & \

debian/test.log: saved_acl2.c
	mv saved_acl2 saved_acl2.ori
	cp $< saved_acl2
#	These take too much memory when run in parallel
#	HOME=$$(pwd) \
#	EXCLUDED_PREFIXES="projects/x86isa/machine/instructions kestrel/x86  kestrel/axe"
	BUILDDIR="$$(dirname $$(pwd))" \
	FINALDIR="/usr/share/$(PD)" \
	HOME=$$(pwd) \
	GCL_MULTIPROCESS_MEMORY_POOL=$$(pwd) \
	$(MAKE) -j $(NUMJOBS) regression-fresh 2>&1 | tee $@ & j=$$! ; \
	while sleep 1800; do echo Tick; done & k=$$! ; \
	wait $$j ; kill $$k
#
	BUILDDIR="$$(dirname $$(pwd))" \
	FINALDIR="/usr/share/$(PD)" \
	HOME=$$(pwd) \
	GCL_MULTIPROCESS_MEMORY_POOL=$$(pwd) \
	$(MAKE) regression 2>&1 | tee -a $@ & j=$$! ; \
	while sleep 1800; do echo Tick; done & k=$$! ; \
	wait $$j ; kill $$k
#	>$@ 2>&1 & j=$$! ; \
#	while sleep 1800; do echo Tick; done & k=$$! ; tail -f debian/test.log & l=$$! ; \
#	wait $$j ; kill $$k $$l
#	[ -f $@ ] && ! fgrep '**' $@ || (echo FULL TEST FAILS ;\
#		for i in $$(find books -name "*.out"); do \
#			if ! [ -e $${i%out}cert ] ; then \
#				echo $$i ; \
#				cat $$i ; \
#			fi ; \
		done)
	mv saved_acl2.ori saved_acl2
	[ -f $@ ] && ( ! fgrep '**' $@ || true )
	  # gcl -batch -eval \
          #   "(bye \
	  # 	  #-native-reloc 0 \
          #         #+native-reloc \
          #           (let ((w (multiple-value-bind (a b c d) (si::heap-report) (/ (- d c) (/ a 8))))) \
	  # 		 (format t \"certification run with ~s heap words~%\" w) \
	  # 		 (if (< w ${ACL2_HEAP_WORDS_NEEDED_FOR_CERTIFICATION}) 0 1)))")

books/interface/infix/Makefile: books/interface/infix/makefile
	sed -e "s,^DIR = .*,DIR = $$(pwd)/books/interface/infix,1" \
            -e 's,"user","USER",g' -e 's,"sloop","SLOOP",g' \
	    -e "s,^LISP = .*,LISP = $$(pwd)/saved_acl2,1" $< > $@

infix-stamp: books/interface/infix/Makefile saved_acl2
	cd books/interface/infix && HOME=$$(pwd) $(MAKE) -f Makefile compile
	cd books/interface/infix && HOME=$$(pwd) $(MAKE) -f Makefile example
#	cd books/interface/infix && make -f Makefile events
	touch $@

doc/TEX/acl2-book.ps.gz: saved_acl2
	HOME=$$(pwd) $(MAKE) DOC
	rm -f doc/HTML/LICENSE
	find doc -empty -exec rm {} \;

build: build-arch build-indep
build-arch: build-stamp
build-indep: #build-stamp
build-stamp: debian/mini-proveall.out debian/test.log infix-stamp # doc/TEX/acl2-book.ps.gz
	dh_testdir

#	$(MAKE)

	touch build-stamp

infix_clean: books/interface/infix/Makefile
	rm -f infix-stamp
	cd books/interface/infix && HOME=$$(pwd) $(MAKE) -f Makefile clean
	rm -f books/interface/infix/Makefile


debian/dpatches: debian/patches.in
	debian/rules debian/patches_unapplied
	cat $< | sed -e "s,@BDIR@,$$(pwd),1" -e "s,@DDIR@,/usr/share/$(PD),1" >$@

debian/patches_applied: debian/dpatches
	! [ -e debian/patches_unapplied ] || \
		(patch -p1 < $< && rm -f debian/patches_unapplied)
	touch $@

debian/patches_unapplied:
	! [ -e debian/patches_applied ] || ! [ -e debian/dpatches ] ||  \
		(patch -p1 -R < debian/dpatches && rm -f debian/patches_applied)
	touch $@


INSTALLS:=$(addprefix debian/,$(addsuffix .install,acl2 acl2-source acl2-doc acl2-books acl2-books-source acl2-books-certs acl2-infix acl2-infix-source))
LINKS:=$(addprefix debian/,$(addsuffix .links,acl2 acl2-books acl2-infix))
IFILES:=$(INSTALLS) $(shell ls -1 debian/*.examples debian/*.docs)
debian/README.Debian: debian/README.Debian.in $(IFILES)
	awk '/@PLIST@/ {exit 0} {print}' $< >$@
	for i in $(filter %.install,$^); do\
	 awk '/^debian\// {next} {sub(".final$$","",$$1);$$2="/" $$2;print $$0 " " p}' \
		p=$$(basename $${i%.install}) $$i >>$@ ; done
	for i in $(filter %.info,$^); do\
	 awk '/^debian\// {next} {print $$0 " /usr/share/info " p}' p=$$(basename $${i%.info}) $$i >>$@ ; done
	for i in $(filter %.examples,$^); do\
	 awk '/^debian\// {next} {print $$0 " /usr/share/doc/" p "/examples " p}' \
		p=$$(basename $${i%.examples}) $$i >>$@ ; done
	for i in $(filter %.docs,$^); do\
	 awk '/^debian\// {next} {print $$0 " /usr/share/doc/" p " " p}' p=$$(basename $${i%.docs}) $$i >>$@ ; done
	awk '/@PLIST@/ {i=1;next} {if (i) print}' $< >>$@

OVERRIDES:= $(shell find debian/ -name "*.lintian-overrides.in" |sed 's,\.in,,g')

clean: infix_clean #debian/patches_unapplied books/workshops
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean-all
	$(MAKE) clean-books
	find books -name "*.final" -exec rm {} \;
	rm -f $(INSTALLS) $(LINKS)
	rm -f books/build/Makefile-sources books/build/Makefile-certs
	rm -f gcl_pool
	rm -f $(OVERRIDES)
	rm -f books/std/strings/binary.cert.temp books/std/strings/decimal.cert.temp books/std/strings/defs-program.cert.temp
	rm -f books/build/defrec-certdeps/*.certdep
	rm -f books/centaur/vl/kit/test.vlzip
	rm -f books/std/io/test.sao

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//g,searchmode=plain" https://api.github.com/repos/acl2-devel/acl2-devel/releases?per_page=50 "acl2-(\d.\d)\.tar\.gz"
